<app-group-bar [group]="group"></app-group-bar>

<div #viewport cdkScrollable class="viewport">
	<div #lazyindicator></div>
	<ng-container *ngFor="let dateBranch of messageTree?.branches">
		<app-date-entry [time]="dateBranch.date"></app-date-entry>
		<app-message-group *ngFor="let userBranch of dateBranch.userBranches" [group]="group" [userBranch]="userBranch"></app-message-group>
	</ng-container>
</div>

<app-input (send)="send($event)"></app-input>
